Skip to main content
GET
/
models
/
{model_name}
Models Info
curl --request GET \
  --url https://api.example.com/models/{model_name} \
  --header 'Authorization: Bearer <token>'
{
  "model_name": "<string>",
  "type": "<string>",
  "tags": [
    "<string>"
  ],
  "reported_type": "<string>",
  "version": "<string>",
  "featured": true,
  "public": true,
  "curl_inv": "<string>",
  "cmdline_inv": "<string>",
  "txt_docs": "<string>",
  "out_example": "<string>",
  "out_docs": "<string>",
  "pricing": {
    "cents_per_sec": 123,
    "short": "$0.15 / second",
    "full": "$0.15 / second for 1080P, $0.10 / second for 720P",
    "table": {
      "columns": [
        "resolution",
        "$ cost per second"
      ],
      "rows": [
        [
          "780P",
          "$0.10"
        ],
        [
          "1080P",
          "$0.15"
        ]
      ]
    },
    "type": "time"
  },
  "schemas": [
    {
      "key": "default",
      "url": "<string>"
    }
  ],
  "description": "<string>",
  "mf_description": "<string>",
  "owner": false,
  "mask_token": "<string>",
  "in_schema": "<unknown>",
  "out_schema": "<unknown>",
  "in_fields": [
    {
      "name": "<string>",
      "ftype": "<string>",
      "parent": "<string>",
      "description": "<string>",
      "allowed": [
        "<unknown>"
      ],
      "default": "<unknown>",
      "examples": [],
      "minimum": 123,
      "exclusiveMinimum": 123,
      "maximum": 123,
      "exclusiveMaximum": 123
    }
  ],
  "doc_blocks": [
    {
      "key": "http",
      "url": "<string>"
    }
  ],
  "short_doc_block": {
    "key": "http",
    "url": "<string>"
  },
  "meta": {},
  "max_tokens": 123,
  "max_output_tokens": 123,
  "replaced_by": "<string>",
  "deprecated": 123,
  "quantization": "<string>",
  "mmlu": 123,
  "expected": "<string>",
  "import_time": "<string>",
  "is_partner": false,
  "is_custom_deployable": false,
  "mf_name": "<string>",
  "mf_title": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

xi-api-key
string | null

Path Parameters

model_name
string
required

Query Parameters

version
string | null

Response

Successful Response

model_name
string
required
type
string
required
tags
string[]
required
reported_type
string
required
version
string
required
public
boolean
required
curl_inv
string
required
cmdline_inv
string
required
txt_docs
string
required
out_example
string
required
out_docs
string
required
pricing
ModelPricingTime · object
required
schemas
SchemaVariant · object[]
required
description
string | null
mf_description
string | null
owner
boolean
default:false
mask_token
string | null
in_schema
any
out_schema
any
in_fields
ModelFieldInfo · object[] | null
doc_blocks
ModelDocBlock · object[] | null
short_doc_block
ModelDocBlock · object
meta
Meta · object
max_tokens
integer | null
max_output_tokens
integer | null
replaced_by
string | null
deprecated
integer | null
quantization
string | null
mmlu
number | null
expected
string | null
import_time
string | null
is_partner
boolean
default:false
is_custom_deployable
boolean
default:false
mf_name
string | null
mf_title
string | null